Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins
Class JavaPlugin

    java.lang.Object
      org.gradle.api.plugins.JavaPlugin

All Implemented Interfaces:
  Plugin<Project>

    public class JavaPlugin

extends Object
implements Plugin<Project>

A `Plugin` which compiles and tests Java source, and assembles it into a JAR file.

Field Summary
`static String` | `CLASSES_TASK_NAME`
`static String` | `COMPILE_CONFIGURATION_NAME`
`static String` | `COMPILE_JAVA_TASK_NAME`
`static String` | `COMPILE_TEST_JAVA_TASK_NAME`
`static String` | `JAR_TASK_NAME`
`static String` | `JAVADOC_TASK_NAME`
`static String` | `PROCESS_RESOURCES_TASK_NAME`
`static String` | `PROCESS_TEST_RESOURCES_TASK_NAME`
`static String` | `RUNTIME_CONFIGURATION_NAME`
`static String` | `TEST_CLASSES_TASK_NAME`
`static String` | `TEST_COMPILE_CONFIGURATION_NAME`
`static String` | `TEST_RUNTIME_CONFIGURATION_NAME`
`static String` | `TEST_TASK_NAME`

Constructor Summary
`JavaPlugin()`

Method Summary
`void` | `apply(Project project)` Apply this plugin to the given target object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROCESS_RESOURCES_TASK_NAME

    public static final String PROCESS_RESOURCES_TASK_NAME

See Also:
  Constant Field Values

### CLASSES_TASK_NAME

    public static final String CLASSES_TASK_NAME

See Also:
  Constant Field Values

### COMPILE_JAVA_TASK_NAME

    public static final String COMPILE_JAVA_TASK_NAME

See Also:
  Constant Field Values

### PROCESS_TEST_RESOURCES_TASK_NAME

    public static final String PROCESS_TEST_RESOURCES_TASK_NAME

See Also:
  Constant Field Values

### TEST_CLASSES_TASK_NAME

    public static final String TEST_CLASSES_TASK_NAME

See Also:
  Constant Field Values

### COMPILE_TEST_JAVA_TASK_NAME

    public static final String COMPILE_TEST_JAVA_TASK_NAME

See Also:
  Constant Field Values

### TEST_TASK_NAME

    public static final String TEST_TASK_NAME

See Also:
  Constant Field Values

### JAR_TASK_NAME

    public static final String JAR_TASK_NAME

See Also:
  Constant Field Values

### JAVADOC_TASK_NAME

    public static final String JAVADOC_TASK_NAME

See Also:
  Constant Field Values

### COMPILE_CONFIGURATION_NAME

    public static final String COMPILE_CONFIGURATION_NAME

See Also:
  Constant Field Values

### RUNTIME_CONFIGURATION_NAME

    public static final String RUNTIME_CONFIGURATION_NAME

See Also:
  Constant Field Values

### TEST_RUNTIME_CONFIGURATION_NAME

    public static final String TEST_RUNTIME_CONFIGURATION_NAME

See Also:
  Constant Field Values

### TEST_COMPILE_CONFIGURATION_NAME

    public static final String TEST_COMPILE_CONFIGURATION_NAME

See Also:
  Constant Field Values

Constructor Detail

### JavaPlugin

    public JavaPlugin()

Method Detail

### apply

    public void apply(Project project)

  Description copied from interface: `Plugin`
  Apply this plugin to the given target object.

  Specified by:
    `apply` in interface `Plugin<Project>`
  Parameters:
    `project` - The target object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD